<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#778899"
    tools:context=".GT9MainActivity">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:id="@+id/LinearLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginBottom="8dp"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="1.0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:context=".MainActivity">

            <ImageView
                android:id="@+id/imageView4"
                android:layout_width="match_parent"
                android:layout_height="138dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="0dp"
                android:layout_marginEnd="8dp"
                android:layout_marginBottom="0dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.018"
                app:srcCompat="@drawable/wingcool_20200107132922" />

            <TextView
                android:id="@+id/title"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="8dp"
                android:layout_marginTop="16dp"
                android:layout_marginEnd="8dp"
                android:layout_marginBottom="16dp"
                android:text="@string/companyname"
                android:textAlignment="center"
                android:textColor="#2F2F4F"
                android:textSize="50dp"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/show"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="8dp"
                android:layout_marginLeft="8dp"
                android:layout_marginEnd="8dp"
                android:layout_marginRight="8dp"
                android:layout_marginBottom="8dp"
                android:gravity="center"
                android:text="@string/connectdevice"
                android:textSize="30dp"
                android:textColor="#FFFFFF"
                android:textStyle="bold"/>

            <TextView
                android:id="@+id/ipaddressshow"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="8dp"
                android:layout_marginLeft="8dp"
                android:layout_marginEnd="8dp"
                android:layout_marginRight="8dp"
                android:layout_marginBottom="8dp"
                android:gravity="center"
                android:textSize="20dp"
                android:textColor="#FFFFFF"/>

            <LinearLayout
                android:id="@+id/RadioLinearLayout"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="8dp"
                android:layout_marginBottom="8dp"
                android:layout_centerHorizontal="true"
                android:layout_gravity="center_horizontal"
                android:orientation="horizontal">

                <RadioGroup
                    android:id="@+id/radio"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_centerHorizontal="true"
                    android:layout_gravity="center_horizontal"
                    android:background="@drawable/bg_radiogroup_frame_line"
                    android:orientation="horizontal">

                    <RadioButton
                        android:id="@+id/radio_zh"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:checked="true"
                        android:layout_marginLeft="16dp"
                        android:text="@string/zh"
                        android:textSize="20dp"/>

                    <RadioButton
                        android:id="@+id/radio_en"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="16dp"
                        android:layout_marginRight="16dp"
                        android:text="@string/en"
                        android:textSize="20dp"/>

                </RadioGroup>

                <RadioGroup
                    android:id="@+id/screenradio"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="32dp"
                    android:layout_centerHorizontal="true"
                    android:layout_gravity="center_horizontal"
                    android:background="@drawable/bg_radiogroup_frame_line"
                    android:orientation="horizontal">

                    <RadioButton
                        android:id="@+id/radio_landscape"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:checked="true"
                        android:layout_marginLeft="16dp"
                        android:text="@string/landscape"
                        android:textSize="20dp"/>

                    <RadioButton
                        android:id="@+id/radio_portrait"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="16dp"
                        android:layout_marginRight="16dp"
                        android:text="@string/portrait"
                        android:textSize="20dp"/>


                </RadioGroup>
            </LinearLayout>
<!--
            <Button
                android:id="@+id/bt_tcpstart"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_marginTop="8dp"
                android:background="@drawable/bg_mainactivity_buttonframe_line"
                android:text="TCP启动"
                android:textAllCaps="false"
                android:textColor="#FFFFf0"
                android:textSize="30dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0.535"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.196" />
-->
            <Button
                android:id="@+id/ConfigSetting"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:background="@drawable/bg_mainactivity_buttonframe_line"
                android:onClick="ConfigSetting"
                android:text="@string/configsetting"
                android:textColor="#FFFFf0"
                android:textAllCaps="false"
                android:textSize="30dp" />

            <Button
                android:id="@+id/FWUpdate"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:background="@drawable/bg_mainactivity_buttonframe_line"
                android:onClick="FirmwareUpdate"
                android:text="@string/firmwareupdata"
                android:textColor="#FFFFf0"
                android:textAllCaps="false"
                android:textSize="30dp" />

            <Button
                android:id="@+id/DataAnalysis"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:background="@drawable/bg_mainactivity_buttonframe_line"
                android:onClick="DataAnalysis"
                android:text="@string/dataanalysis"
                android:textColor="#FFFFf0"
                android:textAllCaps="false"
                android:textSize="30dp" />

            <Button
                android:id="@+id/NoiseAnalysis"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:background="@drawable/bg_mainactivity_buttonframe_line"
                android:onClick="NoiseAnalysis"
                android:text="@string/noiseanalysis"
                android:textColor="#FFFFf0"
                android:textAllCaps="false"
                android:textSize="30dp" />

            <Button
                android:id="@+id/DemoTools"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:background="@drawable/bg_mainactivity_buttonframe_line"
                android:onClick="DemoTools"
                android:text="@string/demotools"
                android:textColor="#FFFFf0"
                android:textAllCaps="false"
                android:textSize="30dp" />

            <Button
                android:id="@+id/IICOperation"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:background="@drawable/bg_mainactivity_buttonframe_line"
                android:onClick="IICOperation"
                android:text="@string/ramoperation"
                android:textColor="#FFFFf0"
                android:textAllCaps="false"
                android:textSize="30dp" />

            <Button
                android:id="@+id/ContactUs"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:background="@drawable/bg_mainactivity_buttonframe_line"
                android:onClick="ContactUs"
                android:text="@string/contactus"
                android:textColor="#FFFFf0"
                android:textAllCaps="false"
                android:textSize="30dp" />

            <Button
                android:id="@+id/Exit"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_marginTop="0dp"
                android:layout_marginBottom="8dp"
                android:background="@drawable/bg_mainactivity_buttonframe_line"
                android:text="@string/exit"
                android:textColor="#FFFFf0"
                android:textAllCaps="false"
                android:textSize="30dp" />

        </LinearLayout>

    </ScrollView>

</android.support.constraint.ConstraintLayout>